
stages:
  - update

exocomp:
  stage: update
  image: ${EXOCOMP_IMAGE}
  before_script:
    - git remote set-url origin https://gitlab-ci-token:${EXOCOMP_GITLAB_TOKEN}@gitlab.com/${CI_PROJECT_PATH}.git
    - export CI_JOB_TOKEN=${EXOCOMP_GITLAB_TOKEN}
  script:
    - if [ "$EXOCOMP_ACTIVE" == "" ]; then echo "automatic updates not activated for this pipeline run"; exit 0; fi
    - update-k8s-images manifests/*
  only:
    - schedules
